﻿@model IEnumerable<TaxPrepHistory>
@{
    int TimeZone = ViewBag.TimeZone;
}
<div class="card card-custom">
    <partial name="_DashboardCardHeader.cshtml" />
    <div class="card-body pt-0">
        <div class="timeline timeline-5">
            <div class="@(Model.Count() > 5 ? "tax-prep-queue-activity":"")">
                @if (Model.Count() > 0)
                {
                    foreach (var item in Model)
                    {
                        var actionBy = item.ActionByUserId > 0 ? item.ActionByUser.UserData.Name : item.ClientLogin.ClientData.Name;
                        var actionByEmail = item.ActionByUserId > 0 ? item.ActionByUser?.Username : item.ClientLogin.Username;
                        <div class="timeline-item align-items-start">
                            <div class="timeline-label font-weight-bold">@item.CreatedDate.AddMinutes(-TimeZone).ToString("MMM dd, yyyy hh:mm tt")</div>
                            <div class="timeline-badge">
                                <i class="fa fa-genderless text-warning icon-xl"></i>
                            </div>
                            <div class="timeline-content pl-3">
                                <span class="text-maroon font-weight-bold" role="button" data-toggle="tooltip" data-original-title="@actionByEmail">@actionBy</span> @Html.Raw(item.Message.Replace("@CLIENTNAME",""))
                            </div>
                        </div>
                    }
                }
                else
                {
                    <div class="alert alert-secondary" role="alert">No Activity Logged!</div>
                }
            </div>
        </div>
    </div>
</div>